describe CommandLineInterface do
  
  describe '#error' do 
    it "has an error message" do
      error = CommandLineInterface.new.error
      expect(error).to eq("\nPlease enter a valid response.")
    end
  end
  
  describe '#prompt' do 
    it "has a prompt message" do
      prompt = CommandLineInterface.new.prompt
      expect(prompt).to eq("Please enter Y or N.")
    end
  end
  
  describe '#goodbye' do
    it "has a goodbye message" do
      goodbye = CommandLineInterface.new.goodbye
      expect(goodbye).to eq("\nGoodbye!\n")
    end
  end
  
end